/************************************************************************************************
@atuhor:刘伟
@date: 2007-01-19
scriptfile:公共文件
function:获取参数集合,输入参数的键,获取参数的值
************************************************************************************************/

function QueryString()
{//构造参数对象并初始化
    var name,value,i;
    var str=location.href;//获得浏览器地址栏URL串
    var num=str.indexOf("?")
    str=str.substr(num+1);//截取“?”后面的参数串    
    var arrtmp=str.split("&");//将各参数分离形成参数数组
    for(i=0;i < arrtmp.length;i++)
    {
        num=arrtmp[i].indexOf("=");
        if(num>0){
        name=arrtmp[i].substring(0,num);//取得参数名称
        value=arrtmp[i].substr(num+1);//取得参数值
        this[name]=value;//定义对象属性并初始化
        }
    }
}
//参数集合对像
var RequestPara=new QueryString();//使用new运算符创建参数对象实例
//Demo:
//var pageIndex=RequestPara["page"];

function GetParameter(para)
{
    var url=document.location.pathname;   
    url= url.substring(document.location.pathname.toLowerCase().lastIndexOf(para)+para.length,document.location.pathname.length);
    url=(url.substring(0,1)=="/")?url.substring(1,url.length):url;
    var strArr=url.split("/");
    return (strArr.length>0)?strArr[0]:"";
}
